From Fedora Project Wiki

Line 1: Line 1:
 
'''''Javi Roman:''''' [https://twitter.com/javiromanrh Twitter] [http://es.linkedin.com/in/javiroman Linkedin] [http://www.viewbug.com/member/javiroman Photography]
 
'''''Javi Roman:''''' [https://twitter.com/javiromanrh Twitter] [http://es.linkedin.com/in/javiroman Linkedin] [http://www.viewbug.com/member/javiroman Photography]
 
= Apache Flume package status =
 
 
===Package status===
 
 
The package builds with this assumptions (we are working on this issues)
 
 
* The code is not ready for Thrift v0.9.1 available in Fedora 21, however Flume code can builds using legacy Thrift built-in code available in the upstream Flume TGZ.
 
* Disable ElasticSearch Sink
 
* Disable Morphline Solr Sink
 
* Disable Twitter Source
 
* Disable Kite Dataset Sink
 
 
===Testing the package===
 
 
git clone https://github.com/fedora-bigdata-rpms/flume-rpm.git
 
cd flume-rpm
 
spectool -g flume.spec
 
rpmbuild -bs --nodeps --define "_sourcedir ." --define "_srcrpmdir ." flume.spec
 
sudo mock flume-1.5.2-1.fc21.src.rpm
 
 
===Dependency packages===
 
 
* In order to build Flume with full features those are the dependency packages and their status:
 
 
{| class="wikitable" style="color:green; background-color:#ffffcc;" cellpadding="10"
 
! Package !! Bugzilla !! Status
 
|-
 
|irclib
 
|<s>{{bz|976049}}</s>
 
|Package is available in Rawhide and in Fedora 21 as an update
 
|-
 
|mapdb
 
|<s>{{bz|1178861}}</s>
 
|Package is available in Rawhide and in Fedora 21 as an update
 
|-
 
|asynchbase
 
|{{bz|1244657}}
 
|
 
|-
 
|async
 
|{{bz|1244655}}
 
|asynchbase dependency.
 
|-
 
|kite
 
|{{bz|1179355}}
 
|Patched in order to support Fedora Guava version (partial support).
 
|-
 
|parquet
 
|<s>{{bz|1073017}}</s>
 
|kite package dependency. Package is available in Rawhide and was submitted to Fedora 22 and 21 as an update
 
|-
 
|parquet-format
 
|<s>{{bz|1073014}}</s>
 
|parquet package dependency. Package is available in Rawhide and was submitted to Fedora 22 and 21 as an update
 
|-
 
|maxmind-db-java
 
|<s>{{bz|1179309}}</s>
 
|kite package dependency. Package is available in Rawhide and in Fedora 21 as an update
 
|-
 
|ua-parser-java
 
|<s>{{bz|1179342}}</s>
 
|kite package dependency. Package is available in Rawhide and in Fedora 21 as an update
 
|-
 
|elasticsearch
 
|<s>{{bz|902086}} {{bz|1181564}}</s>
 
|Package is available in Rawhide and in Fedora 22 as an update
 
|-
 
|kafka
 
|
 
|Flume package dependency, kafka_2.10:0.8.1.1 Modules: flume-kafka-channel, flume-kafka-source
 
|}
 
  
 
= Apache Storm package status =
 
= Apache Storm package status =

Revision as of 09:10, 2 August 2015

Javi Roman: Twitter Linkedin Photography

Apache Storm package status

sources

Apache Kafka package status

sources

Apache Kafka is a distributed publish-subscribe messaging system persistent oriented with O(1) disk structures that provide constant time performance even with many TB of stored messages.

Apache Kafka is based on Scala language. Scala uses sbt (Simple Build Tool) for builds, it's the de facto build tool for the Scala community. Sbt is similar to Apache Ant, and uses Apache Ivy (a sub-project of the Apache Ant project) for resolving project dependencies.

We have two methods for scala based project RPM building:

  • Building packages with sbt and the climbing-nemesis script (a tool to make a temporary Ivy repository from installed Fedora packages)
 SIGs/bigdata/packaging/Sbt
 sbt is in Fedora 20 
 Example of climbing-nemsis usage
  • Building packages with sbt and xmvn’s Ivy resolution support
 Making Fedora a better place for Scala
 improved Fedora support for Ivy
 SIGs/bigdata/packaging/Scala
 Changes/ImprovedScalaEcosystem
 Changes/ImprovedIvyPackaging

Package status

The package doesn't build, mainly because Scala project based on sbt are broken in Fedora23-rawhide, the pending bugs here:

Removing depmap support in Fedora 23

sbt: FTBFS in rawhide

sbt: broken hawtjni-runtime-1.8.jar symlink

Testing the package

git clone https://github.com/fedora-bigdata-rpms/kafka-rpm.git
cd kafka-rpm
spectool -g kafka.spec
rpmbuild -bs --nodeps --define "_sourcedir ." --define "_srcrpmdir ." kafka.spec
sudo mock kafka-0.8.0-1.fc23.src.rpm

Apache Tez package status

sources

Apache Crunch package status

sources